Bug 911914 - Separate thread is used for fsync() calls on small files
Separate thread is used for fsync() calls on small files
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thiago da Silva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-16 12:38 EST by Peter Portante
Modified: 2014-12-14 14:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2013-02-16 12:38:45 EST
A separate thread is used for fsync() calls to avoid it blocking the main thread. This can be more expensive than perform the fsync() directly when the file size is small.
Comment 1 Mitesh Pathak [:mr_pathak] 2013-03-09 04:43:10 EST
I would like to work on it!
Comment 2 Peter Portante 2013-03-09 05:59:08 EST
Work is already done, just needs to be submitted to gluster upstream.
Comment 4 crisbud@redhat.com 2014-01-31 01:37:08 EST
Hi Peter,

 Can you please update the bug if the work is submitted to master along with the review request / patch number ? 

Thanks,
Chetan Risbud.
Comment 5 Peter Portante 2014-06-13 11:05:56 EDT
We'd have to wade through the old PDQ branch in order to find this code.  Sorry, that was a long time ago.

It is not clear to me that on GlusterFS the DiskFile backend needs to issue an fsync in order to ensure the data is persisted, because Gluster already does that.
Comment 6 Niels de Vos 2014-11-27 09:54:11 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.